Subject: Re: [Cbe-oss-dev] Correct way to format spufs file output.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 21 Oct 2006 11:44:53 +1000

On Fri, 2006-10-20 at 16:38 +0200, Arnd Bergmann wrote:
> On Friday 20 October 2006 15:54, Dwayne Grant McConnell wrote:
> > I think %0xllx is the way to go. I would even advocate changing 
> > signal1_type and signal2_type unless it is actually too dangerous.
> 
> There is absolutely no reason why these should be hexadecimal, they
> are basically implementing a bool.
> 
> > Is there even a case where changing from %llu to %0xllx would break things? 
> > Perhaps with the combination of a old library with a new kernel?
> 
> Right, a library or some script that has been written assuming there
> is no leading 0x.

We might still want to "broadcast" that we might change that and see how
much gets broken. It's very likely that nothing will.

Ben.